function [pos,vel,ace] = GeradorTraj(t,pos,vel,ace)

DIM = length(t);
tp = [t(1) t(DIM)]';

%-- Especificao da trajectria: posio inicial e final ------------
%-- Velocidade e acelerao inicial final  nula ---------------------
   p = pos';
  dp = vel';
 ddp = ace';
 
%-- Determinao dos coeficientes da funo polinomial ---------------
 [COEFp, COEFv, COEFa] = polyfit2(tp, p, dp, ddp);
 
%-- Avaliao das polinomiais ao longo do tempo (t) ------------------
 pos = polyval(COEFp, t);
 vel = polyval(COEFv, t);
 ace = polyval(COEFa, t);
%------------------------------------------------------------------end
