function PlotJuntas( t,Q )

  Q = Q*180/pi; DIM=length(t);
  figure(2) %-- Perna de suporte -------------------------------------------
  subplot(2,1,1)
  plot( t,Q(6,:,1),'r-.', t+t(DIM),Q(6,:,2),'r.', t+2*t(DIM),Q(6,:,3),'r',...
        t,Q(5,:,1),'b-.', t+t(DIM),Q(5,:,2),'b.', t+2*t(DIM),Q(5,:,3),'b',...
        t,Q(4,:,1),'g-.', t+t(DIM),Q(4,:,2),'g.', t+2*t(DIM),Q(4,:,3),'g' )
  ylabel('Anca (graus)'), title('Perna de Suporte'), grid on
  
  subplot(2,1,2)
  plot( t,Q(3,:,1),'r-.', t+t(DIM),Q(3,:,2),'r.', t+2*t(DIM),Q(3,:,3),'r',...
        t,Q(2,:,1),'b-.', t+t(DIM),Q(2,:,2),'b.', t+2*t(DIM),Q(2,:,3),'b',...
        t,Q(1,:,1),'g-.', t+t(DIM),Q(1,:,2),'g.', t+2*t(DIM),Q(1,:,3),'g' )
  
  ylabel('Tornozelo e Joelho (graus)'), xlabel('Tempo (s)'), grid on

  figure(3) %-- Perna livre -----------------------------------------------
  subplot(2,1,1)
  plot( t,Q(7,:,1),'r-.', t+t(DIM),Q(7,:,2),'r.', t+2*t(DIM),Q(7,:,3),'r',...
        t,Q(8,:,1),'b-.', t+t(DIM),Q(8,:,2),'b.', t+2*t(DIM),Q(8,:,3),'b',...
        t,Q(9,:,1),'g-.', t+t(DIM),Q(9,:,2),'g.', t+2*t(DIM),Q(9,:,3),'g' )
  ylabel('Anca (graus)'), title('Perna Livre'), grid on
  
  subplot(2,1,2)
  plot( t,Q(10,:,1),'r-.', t+t(DIM),Q(10,:,2),'r.', t+2*t(DIM),Q(10,:,3),'r',...
        t,Q(11,:,1),'b-.', t+t(DIM),Q(11,:,2),'b.', t+2*t(DIM),Q(11,:,3),'b',...
        t,Q(12,:,1),'g-.', t+t(DIM),Q(12,:,2),'g.', t+2*t(DIM),Q(12,:,3),'g' )
  ylabel('Tornozelo e Joelho (graus)'), xlabel('Tempo (s)'), grid on